Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3057 - Documentation (manpages) missing
Summary: Documentation (manpages) missing
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ucd-snmp
Version: 6.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-26 01:02 UTC by Mario Lorenz
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-12 23:30:45 UTC


Attachments (Terms of Use)

Description Mario Lorenz 1999-05-26 01:02:49 UTC
The ucd-snmp*-3.6.1-4 binary RPM lacks several manpages,
like snmp_config.5, snmptrapd.conf.5, which are present in
the source tarball in the SRPM. On the other hand, snmpd.1
references party.conf(5), view.conf(5) etc, which does not
exist at all, not even in the source.

Comment 1 Dale Lovelace 1999-05-27 17:26:59 UTC
Here's the list of man pages in the source tarball:
snmpget.1          snmpgetnext.1
mib_api.3          snmpnetstat.1
read_config.3.def  snmpset.1
snmp.conf.5.def    snmpstatus.1
snmp_api.3         snmptable.1
snmp_config.5.def  snmptest.1
snmp_sess_api.3    snmptranslate.1
snmpbulkwalk.1     snmptrap.1
snmpcmd.1          snmptrapd.8
snmpd.1.def        snmptrapd.conf.5.def
snmpd.conf.5.def   snmpwalk.1
snmpdelta.1        variables.5

  Here's the list of man pages installed in .spec file:
%attr(0644,-,-) /usr/man/man1/snmpd.1
%attr(0644,-,-) /usr/man/man5/snmpd.conf.5
%attr(0644,-,-) /usr/man/man5/variables.5
%attr(0644,-,-) /usr/man/man8/snmptrapd.8
%attr(0644,-,-) /usr/man/man1/snmpbulkwalk.1
%attr(0644,-,-) /usr/man/man1/snmpcmd.1
%attr(0644,-,-) /usr/man/man1/snmpdelta.1
%attr(0644,-,-) /usr/man/man1/snmpget.1
%attr(0644,-,-) /usr/man/man1/snmpgetnext.1
%attr(0644,-,-) /usr/man/man1/snmpnetstat.1
%attr(0644,-,-) /usr/man/man1/snmpset.1
%attr(0644,-,-) /usr/man/man1/snmpstatus.1
%attr(0644,-,-) /usr/man/man1/snmptable.1
%attr(0644,-,-) /usr/man/man1/snmptest.1
%attr(0644,-,-) /usr/man/man1/snmptranslate.1
%attr(0644,-,-) /usr/man/man1/snmptrap.1
%attr(0644,-,-) /usr/man/man1/snmpwalk.1
%attr(0644,-,-) /usr/man/man3/mib_api.3
%attr(0644,-,-) /usr/man/man3/snmp_api.3

  The files that end in .def don't find their way into the binary.
party.conf(5) and view.conf(5) are indeed mentioned in snmpd.1.

Comment 2 Jeff Johnson 1999-06-12 23:30:59 UTC
Missing man pages added in ucd-snmp-3.6.2. Thanks for the report.


Note You need to log in before you can comment on or make changes to this bug.